package kr.co.vividnext.sodalive.admin.marketing.statistics

import kr.co.vividnext.sodalive.common.ApiResponse
import org.springframework.data.domain.Pageable
import org.springframework.security.access.prepost.PreAuthorize
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@PreAuthorize("hasRole('ADMIN')")
@RequestMapping("/admin/marketing/statistics")
class AdminAdStatisticsController(private val service: AdminAdStatisticsService) {
    @GetMapping
    fun getStatistics(pageable: Pageable) = ApiResponse.ok(
        service.getStatistics(
            offset = pageable.offset,
            limit = pageable.pageSize.toLong()
        )
    )
}
